<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<base href="<%=basePath%>">
<% 
	String uname3 = "";
    String uname2 = "";
    String uname = "";
    if(request.getParameter("uName") != null){
    	 uname3 = new String(request.getParameter("uName").getBytes("ISO-8859-1"),"GBK");
    	 uname2 = new String(request.getParameter("uName").getBytes("ISO-8859-1"),"utf-8");
    	 uname = request.getParameter("uName");
    } 
%>
		<title></title>
		<link rel="stylesheet" type="text/css" href="<%=path%>/gpsonline/css/playback.css"/>
		<script src="<%=path%>/gpsonline/js/jquery-1.4.4.min.js"></script>
		<script type="text/javascript"
			src="<%=path%>/gpsonline/js/login.js"></script>	
		<script type="text/javascript">
		window.onerror = function(){return true};
		var mapType = 1;
		   (function($){ 
		        jQuery.fn.center = function () {  
		            this.css('position','absolute');  
		             this.css('top', ( $(window).height() - this.height() ) /2 +$(window).scrollTop() + 'px');  
		             this.css('left', ( $(window).width() - this.width() ) / 2+$(window).scrollLeft() + 'px');  
		             return this;  
		        }  
		    })(jQuery);  //调用：$("#macoArea").center();
		  function g(o){return document.getElementById(o);}
	      function openMask(){
			$("#mask").css({"height":"100%","width":"100%"}).show();		
			$(".content").show();
			$('#content').center();
			
		  }
		  function closeMask(){
			    $("#mask").hide();
			    $(".content").hide();
		  }
      	function login(){
		openMask();
		var type = g("uType").value;
		var name = g("uName").value;
		var pass = g("uPass").value;
		var ltype = g("lType").value;
		var isFull = g("isFull").value;
		var pt = g("pt").value;
		//alert(type == "null" && name == "null" && pass == "null");
		if(type == "null" && name == "null" && pass == "null"){
			
		}else{
			name = '<%=uname%>';
			var uname2 = '<%=uname2%>';
			var uname3 = '<%=uname3%>';
			if(ltype != "null"){
				    loginSysUTF8(name,pass,type,"<%=basePath%>",uname2,uname3);
			}else if(isFull !="null"){
					zzlogin(uname3,pass,type,pt,"<%=basePath%>",uname2);
			}else{
				    zlogin(uname3,pass,type,"<%=basePath%>",uname2);
		    }
		
		}
}
    </script>

	</head>

	<body onload="login()">
	<input type="hidden" class="txt" id="uType" name="uType" value="<%=request.getParameter("uType")%>"/>
	<input type="hidden" class="txt" id="uName" name="uName" value="<%=request.getParameter("uName")%>"/>
	<input type="hidden" class="txt" id="uPass" name="uPass" value="<%=request.getParameter("uPass")%>"/>
	<input type="hidden" class="txt" id="lType" name="lType" value="<%=request.getParameter("lType")%>"/>
	<input type="hidden" class="txt" id="isFull" name="isFull" value="<%=request.getParameter("isFull")%>"/>
	<input type="hidden" class="txt" id="mapType" name="mapType" value="<%=request.getParameter("mapType")%>"/>
	<input type="hidden" class="txt" id="pt"    name="pt"    value="<%=request.getParameter("pt")==null ? "" : request.getParameter("pt")%>"/>
	<div id="mask" class="mask"></div>
	 <div class="content" id="content">
	      <img src="<%=path%>/gpsonline/image/monitor/loading.gif"></img>
	 </div>
	</body>
</html>
